#ifndef _TEST_ENTITY_H
#define _TEST_ENTITY_H

#include "world_entity.h"

class TiXmlElement;
class Material;

class TestEntity2 : public WorldEntity
{
    ObjectListDeclaration(TestEntity2);

  public:
    TestEntity2 ();
    TestEntity2(const TiXmlElement* root);
    virtual ~TestEntity2 ();

    void init();
    virtual void loadParams(const TiXmlElement* root);


    virtual void tick (float time);
    virtual void draw() const;

  private:
    Material*       material;
};

#endif /* _TEST_ENTITY_H */
